com.google.gwt.user.client.ui

## Class SplitLayoutPanel.HSplitter

- java.lang.Object
- - com.google.gwt.user.client.ui.UIObject
  - - com.google.gwt.user.client.ui.Widget
    - - com.google.gwt.user.client.ui.SplitLayoutPanel.Splitter
      - - com.google.gwt.user.client.ui.SplitLayoutPanel.HSplitter

- All Implemented Interfaces:
    HasAttachHandlers, HasHandlers, EventListener, HasVisibility, IsWidget
  Enclosing class:
    SplitLayoutPanel

      class SplitLayoutPanel.HSplitter
      extends SplitLayoutPanel.Splitter

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.UIObject

      `UIObject.DebugIdImpl, UIObject.DebugIdImplEnabled`

  - ### Field Summary

    - ### Fields inherited from class com.google.gwt.user.client.ui.SplitLayoutPanel.Splitter

      `target`

    - ### Fields inherited from class com.google.gwt.user.client.ui.Widget

      `eventsToSink`

    - ### Fields inherited from class com.google.gwt.user.client.ui.UIObject

      `DEBUG_ID_PREFIX, MISSING_ELEMENT_ERROR, SETELEMENT_TWICE_ERROR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HSplitter(Widget target, boolean reverse)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected int` | `getAbsolutePosition()`
    `protected double` | `getCenterSize()`
    `protected int` | `getEventPosition(Event event)`
    `protected int` | `getTargetPosition()`
    `protected int` | `getTargetSize()`

    - ### Methods inherited from class com.google.gwt.user.client.ui.SplitLayoutPanel.Splitter

      `onBrowserEvent, setMinSize, setSnapClosedSize, setToggleDisplayAllowed`

    - ### Methods inherited from class com.google.gwt.user.client.ui.Widget

      `addAttachHandler, addBitlessDomHandler, addDomHandler, addHandler, asWidget, asWidgetOrNull, createHandlerManager, delegateEvent, doAttachChildren, doDetachChildren, ensureHandlers, fireEvent, getHandlerCount, getHandlerManager, getLayoutData, getParent, isAttached, isOrWasAttached, onAttach, onDetach, onLoad, onUnload, removeFromParent, replaceElement, setLayoutData, setParent, sinkEvents, unsinkEvents`

    - ### Methods inherited from class com.google.gwt.user.client.ui.UIObject

      `addStyleDependentName, addStyleName, ensureDebugId, ensureDebugId, ensureDebugId, getAbsoluteLeft, getAbsoluteTop, getElement, getOffsetHeight, getOffsetWidth, getStyleElement, getStyleName, getStyleName, getStylePrimaryName, getStylePrimaryName, getTitle, isVisible, isVisible, onEnsureDebugId, removeStyleDependentName, removeStyleName, resolvePotentialElement, setElement, setElement, setHeight, setPixelSize, setSize, setStyleDependentName, setStyleName, setStyleName, setStyleName, setStyleName, setStylePrimaryName, setStylePrimaryName, setTitle, setVisible, setVisible, setWidth, sinkBitlessEvent, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### HSplitter

          public HSplitter(Widget target,
                           boolean reverse)

  - ### Method Detail

    - #### getAbsolutePosition

          protected int getAbsolutePosition()

      Specified by:
        `getAbsolutePosition` in class `SplitLayoutPanel.Splitter`

    - #### getCenterSize

          protected double getCenterSize()

      Specified by:
        `getCenterSize` in class `SplitLayoutPanel.Splitter`

    - #### getEventPosition

          protected int getEventPosition(Event event)

      Specified by:
        `getEventPosition` in class `SplitLayoutPanel.Splitter`

    - #### getTargetPosition

          protected int getTargetPosition()

      Specified by:
        `getTargetPosition` in class `SplitLayoutPanel.Splitter`

    - #### getTargetSize

          protected int getTargetSize()

      Specified by:
        `getTargetSize` in class `SplitLayoutPanel.Splitter`